Name:          libasyncns
Version:       0.8
Release:       3mamba
Summary:       A library for executing name service queries asynchronously
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://0pointer.de/lennart/projects/libasyncns
Source:        http://0pointer.de/lennart/projects/libasyncns/libasyncns-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: lynx
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
A small and lightweight library that implements easy to use asynchronous wrappers around the libc NSS functions getaddrinfo(), res_query() and related.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A small and lightweight library that implements easy to use asynchronous 
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.

This package contains libraries and headers files need for development.

%package static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
A small and lightweight library that implements easy to use asynchronous 
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.
This package contains static libraries needed for development.

%package docs
Group:         Documentation
Summary:       Documentation for %{name}.
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description docs
A small and lightweight library that implements easy to use asynchronous 
wrappers around the libc NSS functions getaddrinfo(), res_query() and related.
Documentation for %{name}.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libasyncns.so.*
%doc LICENSE README

%files devel
%defattr(-,root,root)
%{_includedir}/asyncns.h
%{_libdir}/libasyncns.so
%{_libdir}/pkgconfig/libasyncns.pc

%files static
%defattr(-,root,root)
%{_libdir}/libasyncns.*a

%files docs
%defattr(-,root,root)
%dir %{_docdir}/libasyncns
%doc %{_docdir}/libasyncns/*

%changelog
* Thu Dec 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8-3mamba
- added debug package and aarch64 build fix

* Sun Dec 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8-2mamba
- automatic port from devel-java

* Wed Dec 08 2010 gil <puntogil@libero.it> 0.8-1mamba
- update to 0.8

* Sun Nov 23 2008 gil <puntogil@libero.it> 0.7-1mamba
- update to 0.7

* Thu Jul 31 2008 gil <puntogil@libero.it> 0.4-1mamba
- package created by autospec
